﻿<!DOCTYPE html>
@using Microsoft.AspNetCore.Http;
@inject IHttpContextAccessor HttpContextAccessor

@using Microsoft.Extensions.Configuration
@inject IConfiguration Configuration

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>@ViewBag.Title</title>
    <!--Jayshree-->
    <!-- Google Fonts -->
    @*   <link href="https://fonts.gstatic.com" rel="preconnect">*@
    @*   <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

    *@
    <!-- ~/vendor CSS Files -->
    <link href="~/css/UI/bootstrap.min.css" rel="stylesheet" />

    <link href="~/css/ui/fontawesome/css/all.min.css" rel="stylesheet" />
    <link href="~/css/UI/bootstrap-icons.css" rel="stylesheet" />
    <link href="~/css/UI/boxicons.min.css" rel="stylesheet" />
    <link href="~/css/UI/quill.snow.css" rel="stylesheet" />
    <link href="~/css/UI/quill.bubble.css" rel="stylesheet" />
    <link href="~/css/UI/remixicon.css" rel="stylesheet" />

    <!-- Template Main CSS File -->
    <link href="~/css/UI/select2.min.css" rel="stylesheet" />
    <link href="~/css/UI/style.css" rel="stylesheet" />
    <link href="~/css/UI/floatinglabels.css" rel="stylesheet" />
    <link href="~/css/UI/jquery.datatables.min.css" rel="stylesheet" />
    <link href="~/css/UI/toastr.css" rel="stylesheet" />
    <link href="~/css/UI/jquery-editable-select.min.css" rel="stylesheet" />

    @*     <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" />
    *@
    <style>
        .StarValidation{
            position: relative;
            font-size: 10px;
            color: red;
            top: -7px;
        }
        .select2 select2-container select2-container--default {
            width: 100%;
        }

        #myCheck:checked + #area {
            display: block !important;
        }

        /* added by jayashri - calibration input */
        .divCalibrationInput {
            width: 60px;
            text-align: left;
            height: 32px;
            border: 1px solid #dee2e6;
            padding: 3px;
        }

        .rounded-pill {
            margin: 10px;
            background: #707274;
            color: white;
        }

            .rounded-pill:hover {
                background: #9ca4ad;
            }


        table th {
            white-space: nowrap;
            position: sticky;
            top: 0;
        }

        .shorthiddenmenu {
            height: 600px;
            width: 57px;
            display: none;
            float: left;
            padding-top: 20px;
            margin: 3px;
        }

        .select2-container .select2-selection--single {
            height: 43px !important;
        }

        .select2-container--default .select2-selection--single .select2-selection__rendered {
            color: #444;
            line-height: 43px;
        }

        .card-header, .card-footer {
            padding: 0px 15px;
        }

        /*     .cardheader_margin {
                    height: 80px;
                    margin-top: -5px;
                } */
        /*
                .cardheader_margin_title {
                    margin-top: -12px;
                } */

        .dataTables_scrollBody {
            max-height: 300px;
            overflow: auto;
        }
        /*     body,
                                html {
                                    background: #002F74;
                                }

                                .spin-container {
                                    text-align: center;
                                    margin-top: 100px;
                                }

                                .spin {
                                    border: 3px solid #0D4B9F;
                                    width: 200px;
                                    height: 200px;
                                    margin: 0 auto;
                                    border-radius: 50%;
                                    border-left-color: transparent;
                                    border-right-color: transparent;
                                    animation: rotate 2s cubic-bezier(0.26, 1.36, 0.74, -0.29) infinite;
                                }

                                #loader2 {
                                    border: 3px solid #E0EDFF;
                                    width: 220px;
                                    height: 220px;
                                    position: relative;
                                    top: -216px;
                                    border-left-color: transparent;
                                    border-right-color: transparent;
                                    animation: rotate2 2s cubic-bezier(0.26, 1.36, 0.74, -0.29) infinite;
                                }

                                #loader3 {
                                    border: 3px solid #005CDC;
                                    width: 240px;
                                    height: 240px;
                                    position: relative;
                                    top: -452px;
                                    border-left-color: transparent;
                                    border-right-color: transparent;
                                    animation: rotate 2s cubic-bezier(0.26, 1.36, 0.74, -0.29) infinite;
                                }

                                #loader4 {
                                    border: 3px solid #94B6E5;
                                    width: 260px;
                                    height: 260px;
                                    position: relative;
                                    top: -708px;
                                    border-left-color: transparent;
                                    border-right-color: transparent;
                                    animation: rotate2 2s cubic-bezier(0.26, 1.36, 0.74, -0.29) infinite;
                                }

                                @@keyframes rotate {
                                    0% {
                                        transform: rotateZ(-360deg)
                                    }

                                    100% {
                                        transform: rotateZ(0deg)
                                    }
                                }

                                @@keyframes rotate2 {
                                    0% {
                                        transform: rotateZ(360deg)
                                    }

                                    100% {
                                        transform: rotateZ(0deg)
                                    }
                                }

                                #text {
                                    color: #D6E3F6;
                                    font-family: Arial;
                                    font-size: 15px;
                                    position: relative;
                                    top: -857px;
                                }

                         */






        /*  #preloader{
                            position: fixed;
                            top: 0;
                            left: 0;
                            z-index: 9999;
                                    background: #060606b3;
                            height: 100%;
                            width: 100%;
                            -webkit-transition: all .5s .5s ease;
                            -moz-transition: all .5s .5s ease;
                            transition: all .5s .2s ease;
                            display:none;
                        }
                        .loader{
                            position:absolute;
                            top: 50%;
                            left: 0;
                            right: 0;
                            width: 120px;
                            height: 120px;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            margin: auto;
                            margin-top: -30px;
                        }
                        body.loaded #preloader{
                            opacity: 0;
                            visibility: hidden;
                        }
                        .spinner {
                            background-color: #000000;
                            width: 40px;
                            height: 40px;
                            border-radius: 100%;
                            -webkit-animation: wt-scaleout 1.0s infinite ease-in-out;
                            animation: wt-scaleout 1.0s infinite ease-in-out;
                        }

                        @@-webkit-keyframes wt-scaleout {
                            0% {
                                -webkit-transform: scale(0) }
                            100% {
                                -webkit-transform: scale(1.0);
                                opacity: 0;
                            }
                        }

                        @@keyframes wt-scaleout {
                            0% {
                                -webkit-transform: scale(0);
                                transform: scale(0);
                            } 100% {
                                -webkit-transform: scale(1.0);
                                transform: scale(1.0);
                                opacity: 0;
                            }
                        }
                         */
        #preloader {
            position: fixed;
            top: 0;
            left: 0;
            z-index: 9999;
            background: #060606b3;
            height: 100%;
            width: 100%;
            -webkit-transition: all .5s .5s ease;
            -moz-transition: all .5s .5s ease;
            transition: all .5s .2s ease;
            display: none;
        }

        .loader {
            width: 48px;
            height: 48px;
            border: 5px solid #FFF;
            border-bottom-color: #4154f1;
            border-radius: 50%;
            display: inline-block;
            box-sizing: border-box;
            animation: rotation 1s linear infinite;
            margin-top: 20%;
            margin-left: 50%;
        }

        @@keyframes rotation {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }

        table tbody tr {
            height: 40px;
        }

        .input-group > .form-select:focus {
            z-index: 0;
        }

        .container {
            position: relative;
            display: flex;
            justify-content: center;
        }

        .topright {
            position: absolute;
            /*             top: 8px;
                    right: 16px; */
            margin-left: 35%;
            /*             margin-top: -25%;
         */ font-size: 22px;
            color: green;
        }
    </style>
</head>

<body id="bd">
    @* <div id="preloader">
    <div class="loader">
    <div class="spinner"></div>
    </div>
    </div> *@

    <div id="preloader">
        @*   <div class="loader8">
        <div class="loader-inner"></div>
        </div> *@
        <span class="loader"></span>
    </div>

    @*
    <div class="spin-container">
    <div class="spin" id="loader"></div>
    <div class="spin" id="loader2"></div>
    <div class="spin" id="loader3"></div>
    <div class="spin" id="loader4"></div>
    <span id="text">LOADING...</span>
    </div> *@
    <!-- ======= Header ======= -->
    <header id="header" class="header fixed-top d-flex align-items-center">
        <div class="header fixed-top d-flex align-items-center">
            <i class="bi bi-list toggle-sidebar-btn" id="btnToggle" onclick="funMenuToggle();"></i>&nbsp;&nbsp;
            <div class="d-flex align-items-center justify-content-between">
                <a href="#" class="logo d-flex align-items-center">
                    <img src="~/img/pinnotechtranparentlogo.png" />
@*                     <img src="~/img/HeaderLogo.jpg" alt="">
 *@                    <span class="d-none d-lg-block">
                        @Configuration.GetSection("MySettings")["ProjectName"]
                    </span>
                </a>
                <!--onclick="callme();"-->
                <!-- <i class="bi bi-list toggle-sidebar-btn" onclick="callme();"></i> --><!--onclick="callme();"-->
            </div><!-- End Logo -->
            <!-- End Search Bar -->
            <nav class="header-nav ms-auto d-flex">
                <div class="search-bar">
                    <form class="search-form d-flex align-items-center" id="divMenuSearch">
                        <input type="text" id="txtsearchval" name="query" placeholder="Search Menu or Patient Name..." style="font-style:italic;" title="Enter search keyword" class="editable-select" onchange="SelectSearchMenu()" onkeydown="SearchMenu()">
                        <button type="submit" title="Search"><i class="bi bi-search"></i></button>
                    </form>
                </div>

                @*                 <div class="search-bar">
                <div class="form-floating  align-items-center">
                <div class="cd-position-relative input-group" id="divMenuSearch">
                <input type="text" id="txtsearchval" class="form-select select floating-label-control cd-form-control editable-select input-field" onchange="SelectSearchMenu()" onkeydown="SearchMenu()" placeholder="Search Menu" />
                <button id="" type="button" onclick="SearchMenu()" class="input-group-text"><i class="bi bi-search"></i></button>
                <label class="floating-label" for="">Search Menu</label>
                </div>
                </div>
                </div> *@

                @*                         <div class="cd-position-relative" id="divMenuSearch">
                <input type="text"  id="txtsearchval" class="form-select select floating-label-control cd-form-control editable-select input-field" onchange="SelectSearchMenu()" onkeydown="SearchMenu()" placeholder="Search Menu"/>
                <select id="txtsearchval" onchange="SearchMenu()" class="form-select select floating-label-control cd-form-control editable-select input-field" placeholder="Enter or Search Patient ID">
                </select>
                <label class="floating-label" for="inputtxtTest">Search Menu</label>
                </div> *@


                <ul class="d-flex align-items-center">
                    <li class="nav-item d-block d-lg-none">
                        <a class="nav-link nav-icon search-bar-toggle " href="#">
                            <i class="bi bi-search"></i>
                        </a>
                    </li><!-- End Search Icon-->



                    <li class="nav-item dropdown pe-3">

                        <a class="nav-link nav-profile d-flex align-items-center pe-0" href="#" data-bs-toggle="dropdown" aria-expanded="false">
@*                             <img src="~/img/AJ.png" alt="Profile" class="rounded-circle">
 *@
                            @if(@HttpContextAccessor.HttpContext.Session.GetString("UserImage") != null)
                            {
                                <img src="@HttpContextAccessor.HttpContext.Session.GetString("UserImage")" id="IgUserImage" alt="Profile" class="rounded-circle">
                            }
                            else
                            {
                                <img src="~/img/defaultuser.png" alt="Profile" class="rounded-circle" />
                            }

 <span class="d-none d-md-block dropdown-toggle ps-2">@HttpContextAccessor.HttpContext.Session.GetString("UserName")</span>
                        </a><!-- End Profile Iamge Icon -->

                        <ul class="dropdown-menu dropdown-menu-end dropdown-menu-arrow profile" style="">
                            <li class="dropdown-header">
                                <input type="hidden" id="hdUserProfileId" value="@HttpContextAccessor.HttpContext.Session.GetInt32("UserId")" />
                                <h6>@HttpContextAccessor.HttpContext.Session.GetString("UserName")</h6>
                                <span>@HttpContextAccessor.HttpContext.Session.GetString("Role")</span>
                            </li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>

                            <li>
                                <a class="dropdown-item d-flex align-items-center" onclick="funUserProfile(@HttpContextAccessor.HttpContext.Session.GetInt32("UserId"))" href="#">
                                    <i class="bi bi-person"></i>
                                    <span>My Profile</span>
                                </a>
                            </li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li>
                                <a class="dropdown-item d-flex align-items-center" data-bs-toggle="modal" data-bs-target="#modelUserChangePassword" href="#">
                                    <i class="bi bi-key"></i>
                                    <span>Change Password</span>
                                </a>
                            </li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>

                            <li>
                                <a class="dropdown-item d-flex align-items-center" href="#" onclick="UserLogout()">
                                    <i class="bi bi-box-arrow-right"></i>
                                    <span>Sign Out</span>
                                </a>
                            </li>

                        </ul><!-- End Profile Dropdown Items -->
                    </li>

                </ul>
            </nav><!-- End Icons Navigation -->

        </div>
        <br />




    </header>

    <aside id="sidebar" class="sidebar divMenuBind" style="top:60px; width:300px;" accesskey="true">
        <ul class="sidebar-nav MenuBind" id="sidebar-nav">
        </ul>
    </aside>

    <aside id="sidebar" class="sidebar divCollapsMenu" style="top:60px; width:125px; display:none;" accesskey="false">
        <ul class="sidebar-nav CollapsMenu" id="sidebar-nav">
        </ul>

    </aside>
    <!-- End Sidebar-->
    <!-- ======= Sidebar ======= -->
    <!--<aside id="sidebar" class="sidebar" style="top:60px;">

        <ul class="sidebar-nav MenuBind" id="sidebar-nav"  >
        </ul>

    </aside>-->
    <!-- End Sidebar-->
    <!--<div id="sidebar1" class="sidebar" style="top:60px;width:100px;display:none;">
        <ul class="MenuBind"  id="sidebar-nav1" style="top:60px;width:100px;display:none;background-color:green;">
        </ul>
    </div>-->

    <div id="hiddenMenue" class="shorthiddenmenu">
        <!-- hidden menu div -->
        <ul class="sidebar-nav MenuBindhidden" id="sidebar-nav_hidden">
        </ul>
    </div>
    <main id="main" class="main" style="top:80px;">
        <div class="row">

            <div style="width: 100%;padding-left:17px">@RenderBody()</div>

        </div>
    </main>

    <!-- ======= Footer ======= Copyright © 2018 -->
    <footer id="footer" class="footer" style="">
        <div class="copyright">
            Copyrights &copy; 2024 <span><strong>Tulip Diagnostics</strong> | All Rights Reserved. </span>
        </div>
    </footer><!-- End Footer -->


    <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

    <div class="modal fade" data-backdrop="static" aria-hidden="true" id="modelUserProfile" tabindex="-1">
        <div class="modal-dialog modal-lg">
            <div class="modal-content" style="width:750px;">
                <div class="modal-header">
                    <h5 class="modal-title">User Profile</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearQCLot()"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <input type="hidden" id="hdUserProfileId" />
                        <input type="hidden" id="hdUserPassword" />
                        <input type="hidden" id="hdUserRoleId" />
                        <div class=col-lg-8>
                            <div class="row mb-3">
                                <div class="col-sm-4">
                                    <label id="lblUserName">User Name</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" id="txtUserName" class="form-control" placeholder="Enter User Name" />
                                    @*                                     <label>@HttpContextAccessor.HttpContext.Session.GetString("UserName")</label>
                                    *@
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-sm-4">
                                    <label>Mobile Number</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="number" id="txtUserMobileNo" class="form-control" placeholder="Enter Mobile Number" />
                                    @*  <label id="lblMobileNo"></label> *@
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-sm-4">
                                    <label>Email</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" id="txtUserEmail" class="form-control" placeholder="Enter User Name" />
                                    @*  <label id="lblEmail"></label> *@
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4" style="display: flex;justify-content: center;">
                            <div class="container center">
                                <img src="~/img/AJ.png" alt="Profile" class="rounded-circle" id="lblImage" style="height:70%">
                                <label for="UserProfilefile" class="topright">
                                    <i class="bi bi-pencil"></i>
                                    <input type="file" id="UserProfilefile" style="display: none" name="image" accept="image/gif,image/jpeg,image/jpg,image/png" multiple="" data-original-title="upload photos">
                                </label>
                                @*                                 <button type="button" class="btn topright"><i class="bi bi-pencil"></i></button>
                                *@
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="row mb-3">
                                <div class="col-sm-6">
                                    <label>Role</label>
                                </div>
                                <div class="col-sm-6">
                                    <label>@HttpContextAccessor.HttpContext.Session.GetString("Role")</label>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-sm-6">
                                    <label>Login ID</label>
                                </div>
                                <div class="col-sm-6">
                                    <label id="lblLoginID"></label>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="button" id="" class="btn btn-primary" onclick="saveUserProfile()">Save</button>

                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" data-backdrop="static" aria-hidden="true" id="modelUserChangePassword" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Change Password</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearQCLot()"></button>
                    <input type="hidden" id="hdUsrId" value="@HttpContextAccessor.HttpContext.Session.GetInt32("UserId")" />
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="cd-position-relative  mb-3">
                                <input type="password" id="txtUsrOldPassword" class="floating-label-control cd-form-control form-control" placeholder="Enter Old Password">
                                <label class="floating-label" for="inputNameDept">Old Password</label>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-lg-12">
                            <div class="cd-position-relative  mb-3">
                                <input type="password" class="floating-label-control cd-form-control form-control" id="txtUsrNewPassword" placeholder="Enter New Password">
                                <label class="floating-label" for="inputNameDept">New Password</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="cd-position-relative  mb-3">
                                <input type="password" class="floating-label-control cd-form-control form-control" id="txtUsrConfirmPassword" placeholder="Enter Confirm Password">
                                <label class="floating-label" for="inputNameDept">Confirm Password</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    @*                         <button type="button" id="" class="btn btn-primary" onclick="saveUserNewPassword(@HttpContextAccessor.HttpContext.Session.GetInt32("UserId"))">Save</button>
                    *@                        <button type="button" id="" class="btn btn-primary" onclick="checkUserOldPassword()">Change</button>

                </div>
            </div>
        </div>
        @*     <script src="~/js/UI/main.js"></script>
        *@


        <script src="~/js/UI/apexcharts.min.js"></script>
        <script src="~/js/UI/chart.umd.js"></script>
        <script src="~/js/UI/echarts.min.js"></script>
        <script src="~/js/UI/quill.min.js"></script>
        <script src="~/js/UI/tinymce.min.js"></script>
        <script src="~/js/app/admin.js"></script>
        <script src="~/js/UI/select2.min.js"></script>
        <script src="~/js/UI/jquery-editable-select.min.js"></script>
        <script src="~/js/UI/bootstrap.bundle.min.js"></script>
        <script src="~/js/UI/toastr.min.js"></script>
        <script src="~/js/UI/moment.min.js"></script>
        <script src="~/js/UI/commonFunctions.js"></script>


        <script src="~/js/UI/jquery.datatables.min.js"></script>
        <script src="~/js/ui/datatables.buttons.min.js"></script>
        <script src="~/js/ui/buttons.html5.min.js"></script>
        <script src="~/js/ui/pdfmake.min.js"></script>
        <script src="~/js/ui/buttons.bootstrap.min.js"></script>
        <script src="~/js/ui/vfs_fonts.js"></script>




        @*     <script src="~/js/UI/jquery.datatables.min.js"></script>

        <script src="https://cdn.datatables.net/buttons/1.2.2/js/dataTables.buttons.min.js"></script>
        <script src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.html5.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.18/pdfmake.min.js"></script>
        <script src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.18/vfs_fonts.js"></script>*@

        @*     <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.7.0.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
        *@
        <script>
            $(document).ready(function () {
                //alert("@HttpContextAccessor.HttpContext.Session.GetString("UserImage")");
               //// $("#ImgUserImage").attr("src", "@HttpContextAccessor.HttpContext.Session.GetString("UserImage")");
            });
            function readURL(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();

                    reader.onload = function (e) {
                        $('#lblImage').attr('src', e.target.result);
                    }

                    reader.readAsDataURL(input.files[0]);
                }
            }

            $("#UserProfilefile").change(function () {
                readURL(this);
            });

            function checkUserOldPassword() {
                var UserId = $("#hdUsrId").val();
                var OldPassword = $("#txtUsrOldPassword").val();
                if ($("#txtUsrOldPassword").val() == "") {
                    Message("warning", "Old Passwork is required");
                    $("#txtUsrOldPassword").focus();
                }
                else if ($("#txtUsrNewPassword").val() == "") {
                    Message("warning", "New Password is required");
                    $("#txtUsrNewPassword").focus();
                    returnValue = false;
                }
                else if ($("#txtUsrConfirmPassword").val() == "") {
                    Message("warning", "Confirm Password is required");
                    $("#txtUsrConfirmPassword").focus();
                    returnValue = false;
                }
                else if ($("#txtUsrNewPassword").val() != $("#txtUsrConfirmPassword").val()) {
                    Message("warning", "New Password & Confirm Password doesn't match");
                    $("#txtUsrConfirmPassword").focus();
                    returnValue = false;
                }
                else {
                    $.ajax({
                        url: "/Admin/CheckOldPassword?UserId=" + UserId + "&&OldPassword=" + OldPassword,
                        method: 'get',
                        success: function (result) {
                            if (result != null) {
                                saveUserNewPassword(UserId);
                                // $("#divUserNewPassword").css("display", "block");
                                // $("#divUserOldPassword").css("display", "none");
                                // $("#txtUsrOldPassword").val('');
                            }
                            else {
                                Message("error", "Invalid Old Password");
                            }
                            $("#preloader").css("display", "none");

                        },
                        error: function (e) {
                            Message("warning", "Somthing went wrong");
                            $("#preloader").css("display", "none");
                        }
                    });
                }

            }

            function saveUserNewPassword(UserId) {
                var returnValue = true;
                if ($("#txtUsrNewPassword").val() == "") {
                    Message("warning", "New Password is required");
                    $("#txtUsrNewPassword").focus();
                    returnValue = false;
                }
                else if ($("#txtUsrConfirmPassword").val() == "") {
                    Message("warning", "Confirm Password is required");
                    $("#txtUsrConfirmPassword").focus();
                    returnValue = false;
                }
                else if ($("#txtUsrNewPassword").val() != $("#txtUsrConfirmPassword").val()) {
                    Message("warning", "Invalid New Password & Confirm Password is required");
                    $("#txtUsrConfirmPassword").focus();
                    returnValue = false;
                }
                else {
                    $("#preloader").css("display", "block");
                    $.ajax({
                        url: "/Admin/UpdateChangePassword?UserId=" + UserId + "&&NewPassword=" + $("#txtUsrNewPassword").val(),
                        method: 'get',
                        success: function (result) {
                            if (result) {
                                // $("#divUserOldPassword").css("display", "block");
                                // $("#divUserNewPassword").css("display", "none");
                                $("#txtUsrOldPassword").val('');
                                $("#txtUsrNewPassword").val('');
                                $("#txtUsrConfirmPassword").val('');
                                Message("success", "Successfully password change");
                                $("#modelUserChangePassword").modal("hide");
                            }
                            else {
                                Message("error", "Invalid Password");
                            }
                            $("#preloader").css("display", "none");

                        },
                        error: function (e) {
                            Message("warning", "Somthing went wrong");
                            $("#preloader").css("display", "none");
                        }
                    });

                }
            }


            function funUserProfile(UserId) {
                $("#preloader").css("display", "block");
                $.ajax({
                    url: "/DataDirectory/GetByIdOperator?Id=" + UserId,
                    method: 'get',
                    success: function (data) {
                        if (data != null) {
                            var result = data.obj;

                            $("#hdUserProfileId").val(result.oprId);
                            $("#txtUserName").val(result.oprName);
                            $("#txtUserEmail").val(result.oprEmail);
                            $("#lblLoginID").text(result.oprLoginId);
                            $("#txtUserMobileNo").val(result.oprMobileNo);
                            $("#hdUserPassword").val(result.oprPassword);
                            $("#hdUserRoleId").val(result.oprRoleId);
                            if (result.oprImage != null) {
                                $("#lblImage").attr("src", "data:image/jpg;base64," + result.oprImage + "");
                            }
                            else {
                                $("#lblImage").attr("src", "/img/defaultuser.png");
                            }
                        }
                        else {
                            Message("error", "Invalid User");
                        }
                        $("#preloader").css("display", "none");

                    },
                    error: function (e) {
                        Message("warning", "Somthing went wrong");
                        $("#preloader").css("display", "none");
                    }
                });
                $("#modelUserProfile").modal("show");
            }

            function saveUserProfile() {
                var returnValue = true;
                if ($("#txtUserName").val() == "") {
                    $("#txtUserName").focus();
                    Message("error", "Name is required");
                    returnValue = false;
                }
                else if ($("#txtUserEmail").val() == "") {
                    $("#txtUserEmail").focus();
                    Message("error", "Email is required");
                    returnValue = false;
                }

                else if ($("#txtUserMobileNo").val() == "") {
                    $("#txtUserMobileNo").focus();
                    Message("error", "Mobile is required");
                    returnValue = false;
                }
                else {
                    $("#preloader").css("display", "block");

                    var UserformData = new FormData();


                    var files = $("#UserProfilefile").prop("files");
                    for (var i = 0; i < files.length; i++) {
                        UserformData.append('formFile', files[i]); // myFile is the input type="file" control
                    }
                    var OperatorObj = {
                        oprId: $("#hdUserProfileId").val() == "" ? '0' : $("#hdUserProfileId").val(),
                        oprRoleId: $("#hdUserRoleId").val(),
                        oprName: $("#txtUserName").val(),
                        oprEmail: $("#txtUserEmail").val(),
                        oprMobileNo: $("#txtUserMobileNo").val(),
                        oprLoginId: $("#lblLoginID").text(),
                        oprPassword: $("#hdUserPassword").val(),
                    }
                    UserformData.append('OperatorObj', JSON.stringify(OperatorObj));
                    $.ajax({
                        url: '/DataDirectory/SaveOperator',
                        type: 'POST',
                        data: UserformData,
                        processData: false,  // tell jQuery not to process the data
                        contentType: false,  // tell jQuery not to set contentType
                        success: function (result) {
                            if (result) {
                                if ($("#hdDr_Id").val() > 0) {
                                    Message("success", "Updated Data Successfully");
                                }
                                else {
                                    Message("success", "Saved Data Successfully");
                                }
                                $("#modelUserProfile").modal("hide");
                                location.reload(true);
                            }
                            else {

                                Message("error", $("#lblLoginID").val() + " this login id is already exist");
                            }
                            $("#preloader").css("display", "none");

                        },
                        error: function (jqXHR) {
                            Message("warning", "Somthing went wrong");
                            $("#preloader").css("display", "none");

                        },
                        complete: function (jqXHR, status) {
                            $("#preloader").css("display", "none");

                        }
                    });
                }
            }




            $(document).ready(function () {
                var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
                var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
                    return new bootstrap.Tooltip(tooltipTriggerEl)
                })












                var data = "";
                var CollapsMenu = "";
                if (sessionStorage.getItem("MenuBind") == null) {
                    $.ajax({
                        method: "GET",
                        url: '/Admin/MenuBind',
                        success: function (result) {
                            sessionStorage.setItem("MenuBind", JSON.stringify(result));
                            if (result != null) {

                                // for (var i = 0; i < result.length; i++) {
                                //     if (result[i].subMenu.length > 0) {
                                //         data += '<li class="nav-item"><a data-toggle="tooltip" title="' + result[i].page + '" class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-file-medical"></i><span > ' + result[i].page + ' </span><i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '"class="nav-content collapse" data-bs-parent="#sidebar-nav">'
                                //         CollapsMenu += '<li class="nav-item"><a data-toggle="tooltip" title="' + result[i].page + '" class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-file-medical"></i><i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '"class="nav-content collapse" data-bs-parent="#sidebar-nav">'


                                //         for (var j = 0; j < result[i].subMenu.length; j++) {
                                //             data += '<li><a data-toggle="tooltip" title = "' + result[i].subMenu[j].page + '" href="' + result[i].subMenu[j].url + '?displayid=' + result[i].subMenu[j].page + '"  id=""><i class="bi bi-caret-right-square"></i><span>' + result[i].subMenu[j].page + '</span></a></li>'
                                //             CollapsMenu += '<li><a data-toggle="tooltip" title = "' + result[i].subMenu[j].page + '" href="' + result[i].subMenu[j].url + '?displayid=' + result[i].subMenu[j].page + '"  id=""><i class="bi bi-caret-right-square"></i><span></a></li>'
                                //         }
                                //         data += '</ul></li>';
                                //         CollapsMenu += '</ul></li>';

                                //     }
                                //     else {
                                //         data += '<li class="nav-item" id="' + result[i].menuMappingId + '"><a class="nav-link collapsed" data-toggle="tooltip" title="' + result[i].page + '" href="' + result[i].url + '" ><i class="bi bi-file-medical"></i><span > ' + result[i].page + ' </span<i class="bi bi-box-arrow-right"> </i></a></li>';
                                //         CollapsMenu += '<li class="nav-item" id="' + result[i].menuMappingId + '"><a class="nav-link collapsed" data-toggle="tooltip" title="' + result[i].page + '" href="' + result[i].url + '" ><i class="bi bi-box-arrow-right"> </i></a></li>';

                                //     }
                                // }
                                //  data += '<li class="nav-item" ><a class="nav-link collapsed" href="#" onclick="UserLogout()"><i class="bi bi-box-arrow-right"> </i><span> Logout </span></a></li>';

                                // $(".MenuBind").append(data);
                                // $(".CollapsMenu").append(CollapsMenu);

                                for (var i = 0; i < result.length; i++) {

                                    if (result[i].subMenu.length > 0) {
                                        data += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#Menu-nav' + result[i].menuMappingId + '" data-bs-toggle="collapse" href = "#"><i class="' + result[i].icon + '"></i><span > ' + result[i].page + ' </span><i class="bi bi-chevron-down ms-auto"></i></a><ul id = "Menu-nav' + result[i].menuMappingId + '" class="nav-content collapse" data-bs-parent="#sidebar-nav">'
                                        CollapsMenu += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#Menu-nav' + result[i].menuMappingId + '" data-bs-toggle="collapse" href = "#"><i class="' + result[i].icon + '"></i><i class="bi bi-chevron-down ms-auto"></i></a><ul id = "Menu-nav' + result[i].menuMappingId + '" class="nav-content collapse" data-bs-parent="#sidebar-nav">'

                                        for (var j = 0; j < result[i].subMenu.length; j++) {
                                            data += '<li id="Tab_Menu' + result[i].subMenu[j].menuMappingId + '"><a class="" onclick="MenuClick(' + result[i].subMenu[j].menuMappingId + ')" accesskey="' + result[i].subMenu[j].menuMappingId + '" href="' + result[i].subMenu[j].url + '"><i class="' + result[i].subMenu[j].icon + '"></i><span>' + result[i].subMenu[j].page + '</span></a></li>'
                                            CollapsMenu += '<li id="Tab_Menu' + result[i].subMenu[j].menuMappingId + '"><a class="" onclick="MenuClick(' + result[i].subMenu[j].menuMappingId + ')" accesskey="' + result[i].subMenu[j].menuMappingId + '" href="' + result[i].subMenu[j].url + '"><i class="' + result[i].subMenu[j].icon + '"></i></a></li>'

                                        }
                                        data += '</ul></li>';
                                        CollapsMenu += '</ul></li>';
                                    }
                                    else {
                                        data += '<li class="nav-item" id="Tab_Menu' + result[i].menuMappingId + '"><a class="nav-link collapsed" onclick="MenuClick(' + result[i].menuMappingId + ')" accesskey="' + result[i].menuMappingId + '" href = "' + result[i].url + '"><i class="' + result[i].icon + '"> </i><span> ' + result[i].page + '</span></a></li>'
                                        CollapsMenu += '<li class="nav-item" id="Tab_Menu' + result[i].menuMappingId + '"><a class="nav-link collapsed" onclick="MenuClick(' + result[i].menuMappingId + ')" accesskey="' + result[i].menuMappingId + '" href = "' + result[i].url + '"><i class="' + result[i].icon + '"> </i></a></li>'

                                    }
                                }

                                data += '<li class="nav-item" id="Tab_Menu"><a class="nav-link collapsed active" href = "#" onclick="UserLogout()"><i class="bi bi-box-arrow-right"> </i><span>Logout</span></a></li>'
                                CollapsMenu += '<li class="nav-item" id="Tab_Menu"><a class="nav-link collapsed active" href = "#" onclick="UserLogout()"><i class="bi bi-box-arrow-right"> </i></a></li>'



                                $(".MenuBind").append(data);
                                $(".CollapsMenu").append(CollapsMenu);

                            }
                        }
                    });
                }

                else {

                    var MenuData = sessionStorage.getItem("MenuBind");
                    if (MenuData != null) {
                        var result = $.parseJSON(MenuData);
                        // for (var i = 0; i < result.length; i++) {
                        //     if (result[i].subMenu.length > 0) {
                        //         data += '<li class="nav-item"><a data-toggle="tooltip" title="' + result[i].page + '" class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-file-medical"></i><span > ' + result[i].page + ' </span><i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '"class="nav-content collapse" data-bs-parent="#sidebar-nav">'
                        //         CollapsMenu += '<li class="nav-item"><a data-toggle="tooltip" title="' + result[i].page + '" class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-file-medical"></i><i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '"class="nav-content collapse" data-bs-parent="#sidebar-nav">'

                        //         for (var j = 0; j < result[i].subMenu.length; j++) {
                        //             data += '<li><a data-toggle="tooltip" title = "' + result[i].subMenu[j].page + '" href="' + result[i].subMenu[j].url + '?displayid=' + result[i].subMenu[j].page + '"  id=""><i class="bi bi-caret-right-square"></i><span>' + result[i].subMenu[j].page + '</span></a></li>'
                        //             CollapsMenu += '<li><a data-toggle="tooltip" title = "' + result[i].subMenu[j].page + '" href="' + result[i].subMenu[j].url + '?displayid=' + result[i].subMenu[j].page + '"  id=""><i class="bi bi-caret-right-square"></i><span></a></li>'
                        //         }
                        //         data += '</ul></li>';
                        //         CollapsMenu += '</ul></li>';

                        //     }
                        //     else {
                        //         data += '<li class="nav-item" id="' + result[i].menuMappingId + '"><a class="nav-link collapsed" data-toggle="tooltip" title="' + result[i].page + '" href="' + result[i].url + '" ><i class="bi bi-file-medical"></i><span > ' + result[i].page + ' </span<i class="bi bi-box-arrow-right"> </i></a></li>';
                        //         CollapsMenu += '<li class="nav-item" id="' + result[i].menuMappingId + '"><a class="nav-link collapsed" data-toggle="tooltip" title="' + result[i].page + '" href="' + result[i].url + '" ><i class="bi bi-box-arrow-right"> </i></a></li>';

                        //     }
                        // }
                        //  data += '<li class="nav-item" ><a class="nav-link collapsed" href="#" onclick="UserLogout()"><i class="bi bi-box-arrow-right"> </i><span> Logout </span></a></li>';


                        for (var i = 0; i < result.length; i++) {

                            if (result[i].subMenu.length > 0) {
                                data += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#Menu-nav' + result[i].menuMappingId + '" data-bs-toggle="collapse" href = "#"><i class="' + result[i].icon + '"></i><span > ' + result[i].page + ' </span><i class="bi bi-chevron-down ms-auto"></i></a><ul id = "Menu-nav' + result[i].menuMappingId + '" class="nav-content collapse" data-bs-parent="#sidebar-nav">'
                                CollapsMenu += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#Menu-nav' + result[i].menuMappingId + '" data-bs-toggle="collapse" href = "#"><i class="' + result[i].icon + '"></i><i class="bi bi-chevron-down ms-auto"></i></a><ul id = "Menu-nav' + result[i].menuMappingId + '" class="nav-content collapse" data-bs-parent="#sidebar-nav">'

                                for (var j = 0; j < result[i].subMenu.length; j++) {
                                    data += '<li id="Tab_Menu' + result[i].subMenu[j].menuMappingId + '"><a class="" onclick="MenuClick(' + result[i].subMenu[j].menuMappingId + ')" accesskey="' + result[i].subMenu[j].menuMappingId + '" href="' + result[i].subMenu[j].url + '"><i class="' + result[i].subMenu[j].icon + '"></i><span>' + result[i].subMenu[j].page + '</span></a></li>'
                                    CollapsMenu += '<li id="Tab_Menu' + result[i].subMenu[j].menuMappingId + '"><a class="" onclick="MenuClick(' + result[i].menuMappingId + ')" accesskey="' + result[i].subMenu[j].menuMappingId + '" href="' + result[i].subMenu[j].url + '"><i class="' + result[i].subMenu[j].icon + '"></i></a></li>'

                                }
                                data += '</ul></li>';
                                CollapsMenu += '</ul></li>';

                            }
                            else {
                                data += '<li class="nav-item" id="Tab_Menu' + result[i].menuMappingId + '"><a class="nav-link collapsed" onclick="MenuClick(' + result[i].menuMappingId + ')" accesskey="' + result[i].menuMappingId + '" href = "' + result[i].url + '"><i class="' + result[i].icon + '"> </i><span> ' + result[i].page + '</span></a></li>'
                                CollapsMenu += '<li class="nav-item" id="Tab_Menu' + result[i].menuMappingId + '"><a class="nav-link collapsed" onclick="MenuClick(' + result[i].menuMappingId + ')" accesskey="' + result[i].menuMappingId + '" href = "' + result[i].url + '"><i class="' + result[i].icon + '"> </i></a></li>'

                            }
                        }

                        data += '<li class="nav-item" id="Tab_Menu"><a class="nav-link collapsed active" href = "#" onclick="UserLogout()"><i class="bi bi-box-arrow-right"> </i><span>Logout</span></a></li>'
                        CollapsMenu += '<li class="nav-item" id="Tab_Menu"><a class="nav-link collapsed active" href = "#" onclick="UserLogout()"><i class="bi bi-box-arrow-right"> </i></a></li>'



                        $(".MenuBind").append(data);
                        $(".CollapsMenu").append(CollapsMenu);

                    }
                }




                $("#Menu_nav_Id li button").click(function () {
                    $("#Menu-nav" + $("#Menu_nav_Id").attr("accesskey") + " li a").removeClass("active");
                    $("#Menu-nav" + $("#Menu_nav_Id").attr("accesskey") + " #Tab_Menu" + $(this).attr("accesskey") + " a").addClass("active");
                });

                setTimeout(function () {
                  //  $("#ddlPatient").val(sessionStorage.getItem("PatientName")).trigger('change');
                    $("#hdSearchPatientId").val(sessionStorage.getItem("SearchPatientId"));
                   
                    
                    $("#Menu-nav" + $("#Menu_nav_Id").attr("accesskey")).addClass("show");
                    $("#Menu-nav" + $("#Menu_nav_Id").attr("accesskey")).prev().removeClass("collapsed")

                    if (sessionStorage.getItem("ManuTabId") != null) {
                        $("#Menu_nav_Id li .Tab" + sessionStorage.getItem("ManuTabId")).addClass("active");
                        $("#TabNav_" + sessionStorage.getItem("ManuTabId")).addClass("show active");
                        $("#Menu-nav" + $("#Menu_nav_Id").attr("accesskey") + " li a").removeClass("active");
                        $("#Menu-nav" + $("#Menu_nav_Id").attr("accesskey") + " #Tab_Menu" + sessionStorage.getItem("ManuTabId") + " a").addClass("active");

                    }
                    
                    else {
                        $("#Menu_nav_Id li .Tab2").addClass("active");
                        $("#TabNav_2").addClass("show active");
                        $("#Menu-nav" + $("#Menu_nav_Id").attr("accesskey") + " li a").removeClass("active");
                        $("#Menu-nav" + $("#Menu_nav_Id").attr("accesskey") + " #Tab_Menu2" + " a").addClass("active");
                    }
                    var data = $("#hdSearchPatientId").val();
                    if (data === "undefined") {
                    }
                    else {
                         SearchResult();
                    }
                }, 1000);

                $("#Menu-nav" + $("#Menu_nav_Id").attr("accesskey") + " li a").click(function () {
                    sessionStorage.setItem("ManuTabId", $(this).attr("accesskey"));
                    // $("#Menu_nav_Id li .Tab" + $(this).attr("accesskey")).addClass("active");
                });




                // var data = "";
                // for (var i = 0; i < result.length; i++) {
                //     if (result[i].subMenu.length > 0) {

                //         //alert(result[i].page + result[i].menuMappingId); check-square


                //         //data += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-stopwatch"></i><span>' + result[i].page + ' </span > <i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '" class="nav-content collapse " data-bs-parent="#sidebar-nav">'

                //         if (result[i].menuMappingId == 5) {
                //             data += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-file-medical"></i><span>' + result[i].page + ' </span > <i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '" class="nav-content collapse" data-bs-parent="#sidebar-nav">'
                //         }
                //         else if (result[i].menuMappingId == 37) {
                //             data += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-check-square"></i><span>' + result[i].page + ' </span > <i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '" class="nav-content collapse" data-bs-parent="#sidebar-nav">'
                //         }
                //         else if (result[i].menuMappingId == 1) {
                //             data += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-folder-plus"></i><span>' + result[i].page + ' </span > <i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '" class="nav-content collapse" data-bs-parent="#sidebar-nav">'
                //         }
                //         else if (result[i].menuMappingId == 42) {
                //             data += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-stopwatch"></i><span>' + result[i].page + ' </span > <i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '" class="nav-content collapse" data-bs-parent="#sidebar-nav">'
                //         }
                //         else if (result[i].menuMappingId == 47) {
                //             data += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-box-arrow-right"></i><span>' + result[i].page + ' </span > <i class="bi bi-chevron-down ms-auto"></i></a><ul  id="forms-nav-' + result[i].menuMappingId + '" class="nav-content collapse" data-bs-parent="#sidebar-nav">'
                //         }
                //         else {
                //             data += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse"  href="#" ><i class="bi bi-stopwatch"></i><span>' + result[i].page + ' </span > <i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '" class="nav-content collapse" data-bs-parent="#sidebar-nav">'
                //         }
                //         var data_type = result[i].subMenu[0];

                //         for (var j = 0; j < result[i].subMenu.length; j++) {
                //             data += '<li><a href="' + result[i].subMenu[j].url + '?displayid=' + result[i].subMenu[j].page + '"  id=""><i class="bi bi-circle"></i><span>' + result[i].subMenu[j].page + '</span></a></li>'
                //         }
                //         data += '</ul></li>';
                //     }
                //     else {
                //         data += '<li class="nav-item"><a class="nav-link collapsed" href="' + result[i].url + '" ><i class="bi bi-box-arrow-right"> </i><span > ' + result[i].page + ' </span></a></li>';
                //     }

                // }
                // data += '<li class="nav-item" ><a class="nav-link collapsed" href="#" onclick="UserLogout()"><i class="bi bi-box-arrow-right"> </i><span> Logout </span></a></li>';



                //  $(".MenuBind").append(data);


                $(".nav-tabs .nav-item .nav-link, .nav-tabs .nav-link").click(function () {
                    for (var i = 0; i < result.length; i++) {
                        if (result[i].subMenu.length > 0) {
                            for (var j = 0; j < result[i].subMenu.length; j++) {
                                if (result[i].subMenu[j].menuMappingId == $(this).attr("accesskey")) {

                                    if (result[i].subMenu[j].added) {
                                        $(".tab-content .show .card .save").css("display", "block");
                                    }
                                    else {
                                        $(".tab-content .show .card .save").css("display", "none");
                                    }


                                }
                            }
                        }
                        else {
                            if (result[i].menuMappingId == $(this).attr("accesskey")) {
                                if (result[i].added) {
                                    $(".tab-content .show .card .save").css("display", "block");
                                }
                                else {
                                    $(".tab-content .show .card .save").css("display", "none");
                                }
                            }
                        }
                    }
                });
            });

            function MenuClick(accesskey) {
                sessionStorage.setItem("ManuTabId", accesskey);
            }


            // function GetMenubtnRight(Added, Edited, Viewed, Deleted, obj) {
            //     alert(obj);
            //     console.log(obj);
            //     alert(Added + " , " + Edited + " , " + Viewed + " , " + Deleted);
            //     sessionStorage.setItem("Added", Added);
            //     sessionStorage.setItem("Edited", Edited);
            //     sessionStorage.setItem("Viewed", Viewed);
            //     sessionStorage.setItem("Deleted", Deleted);
            // }


            // function MenuBinding() {
            //     $.ajax({
            //         method: "GET",
            //         url: '/Admin/MenuBind',
            //         success: function (result) {
            //             if (result != null) {
            //                 sessionStorage.setItem("MenuBind", JSON.stringify(result));
            //                 // var data = "";
            //                 // for (var i = 0; i < result.length; i++) {
            //                 //     if (result[i].subMenu.length > 0) {
            //                 //         data += '<li class="nav-item"><a class="nav-link collapsed" data-bs-target="#forms-nav-' + result[i].menuMappingId + '" data-bs-toggle="collapse" href="#" ><i class="bi bi-journal-text"></i><span>' + result[i].page + ' </span > <i class="bi bi-chevron-down ms-auto"></i></a><ul id="forms-nav-' + result[i].menuMappingId + '" class="nav-content collapse " data-bs-parent="#sidebar-nav">'
            //                 //         for (var j = 0; j < result[i].subMenu.length; j++) {
            //                 //             data += '<li><a href = "forms-elements.html"><i class="bi bi-circle"></i><span>' + result[i].subMenu[j].page + '</span></a></li>'

            //                 //         }
            //                 //         data += '</ul></li>';
            //                 //     }
            //                 //     else {
            //                 //         data += '<li class="nav-item" id="' + result[i].menuMappingId + '"><a class="nav-link collapsed" href = "pages-contact.html" ><i class="bi bi-envelope"> </i><span > ' + result[i].page + ' </span></a></li>';
            //                 //     }
            //                 // }
            //                 // $(".MenuBind").append(data);
            //             }
            //             else {
            //                 Message("error", "Invalid User name Or Password");
            //             }
            //         },
            //         error: function (e) {
            //             Message("warning", "Somthing went wrong");

            //         }
            //     });
            // }

            function Message(Type, msg) {
                toastr.options = {
                    "closeButton": true,
                    "debug": true,
                    "newestOnTop": false,
                    "progressBar": true,
                    "positionClass": "toast-bottom-right",
                    "preventDuplicates": false,
                    "showDuration": "300",
                    "hideDuration": "1000000",
                    "timeOut": "5000",
                    "extendedTimeOut": "1000",
                    "showEasing": "swing",
                    "hideEasing": "linear",
                    "showMethod": "fadeIn",
                    "hideMethod": "fadeOut"
                }
                toastr[Type](msg, "");
            }


            // added by jayashri - Model Box Draggable Function Starts Here
            (function ($) {
                $.fn.drags = function (opt) {

                    opt = $.extend({ handle: ".modal-header", cursor: "move" }, opt);

                    if (opt.handle === "") {
                        var $el = this;
                    } else {
                        var $el = this.find(opt.handle);
                    }

                    return $el.css('cursor', opt.cursor).on("mousedown", function (e) {
                        if (opt.handle === "") {
                            var $drag = $(this).addClass('draggable');
                        } else {
                            var $drag = $(this).addClass('active-handle').parent().addClass('draggable');
                        }
                        var z_idx = $drag.css('z-index'),
                            drg_h = $drag.outerHeight(),
                            drg_w = $drag.outerWidth(),
                            pos_y = $drag.offset().top + drg_h - e.pageY,
                            pos_x = $drag.offset().left + drg_w - e.pageX;
                        $drag.css('z-index', 1000).parents().on("mousemove", function (e) {
                            $('.draggable').offset({
                                top: e.pageY + pos_y - drg_h,
                                left: e.pageX + pos_x - drg_w
                            }).on("mouseup", function () {
                                $(this).removeClass('draggable').css('z-index', z_idx);
                            });
                        });
                        //e.preventDefault(); // disable selection
                    }).on("mouseup", function () {
                        if (opt.handle === "") {
                            $(this).removeClass('draggable');
                        } else {
                            $(this).removeClass('active-handle').parent().removeClass('draggable');
                        }
                    });

                }
            })(jQuery);

            $('.modal-content').drags();

            function funMenuToggle() {
                if ($(".divMenuBind").attr("accesskey") == "true") {
                    $(".divMenuBind").css("display", "none");
                    $(".divCollapsMenu").css("display", "block");

                    $(".divMenuBind").attr("accesskey", "false");
                    $(".divCollapsMenu").attr("accesskey", "true");

                    $(".divsidebar").css("width", "125px;");
                    //$("#main").css("margin-left", "125px;");
                    setTimeout(function () { $("#main").css("margin-left", "125px"); $("#footer").css("margin-left", "300px"); }, 50);
                }
                else {
                    $(".divMenuBind").css("display", "block");
                    $(".divCollapsMenu").css("display", "none");

                    $(".divMenuBind").attr("accesskey", "true");
                    $(".divCollapsMenu").attr("accesskey", "false");

                    $(".divsidebar").css("width", "300px;");
                    setTimeout(function () { $("#main").css("margin-left", "300px"); $("#footer").css("margin-left", "300px"); }, 50);

                    // $("#main").css("margin-left", "300px;");

                }
            }

            function SearchMenu() {
                var searchval = $("#txtsearchval").val();
                //var searchval = window.document.getElementById("txtsearchval").text;
                $.ajax({
                    url: "/Admin/SearchMenu?searchval=" + searchval,
                    method: 'get',
                    success: function (result) {

                        if (result != null) {

                            $("#divMenuSearch .es-list").empty();

                            var SearchMenu = '';
                            for (var i = 0; i < result.length; i++) {
                                //  SearchMenu += '<li class="es-visible" id="' + result[i].menuMappingId + '"><a href="' + result[i].url + '" onclick="MenuClick(' + result[i].menuMappingId + ')">' + result[i].page + '</a></li>';
                                SearchMenu += '<li class="es-visible" id="' + result[i].menuMappingId + '" accesskey="' + result[i].url + '" data="' + result[i].subMenu + '">' + result[i].page + '</li>';
                            }
                            $("#divMenuSearch .es-list").append(SearchMenu);
                            $('#divMenuSearch .editable-select').editableSelect();

                        }

                        //if (result != null) {
                        //    sessionStorage.setItem("MenuBind", JSON.stringify(result));

                        //    if (result.subPage != null || result.subPage != "") {

                        //        window.location.href = "https://localhost:44391" + result.subPage;  // replace "https://" url path with actual url
                        //        GetMenuBind_search();
                        //        //GetMenuBindHidden_search();
                        //    }
                        //    else {
                        //        Message("error", "Invalid Menu");
                        //    }
                        //}
                        else {
                            Message("error", "Invalid Menu");
                        }
                        $("#preloader").css("display", "none");

                    },
                    error: function (e) {
                        Message("warning", "Somthing went wrong");
                        $("#preloader").css("display", "none");

                    }
                });
            }

            function SelectSearchMenu() {
                var Url = $("#divMenuSearch .es-list .es-visible").attr("accesskey");
                var menuId = $("#divMenuSearch .es-list .es-visible").attr("id");
                var Type = $("#divMenuSearch .es-list .es-visible").attr("data");
                if (typeof (Url) != "undefined" && Url != "") {
                    window.location.href = Url;
                }
                if (Type == "Menu" && typeof (menuId) != "undefined" && menuId != "") {
                    sessionStorage.setItem("ManuTabId", menuId);
                }
                else {

                    var SearchPatientId = $("#divMenuSearch .es-list .es-visible").attr('id');
                    sessionStorage.setItem("ManuTabId", "");
                    sessionStorage.setItem("SearchPatientId", SearchPatientId);

                }

            }

        </script>
</body>

</html>
